Required Software

  • .NET Framework 4.7 for Royal TS V4.2 and later
    Download the offline installer
    Note:
    .NET Framework 4.7 is supported on Windows 7 SP1, Windows 8.1, Windows Server 2008R2 SP1, Windows Server 2012, Windows Server 2012R2, Windows Server 2016 and Windows 10 Anniversary Update (Build 1607 and later).
    Windows 10 (Build 1511) does NOT support .NET Framework 4.7. If you are running a Windows 10 build lower than 1607, please keep on using Royal TS 4.1.x which can be downloaded from here.

  • .NET Framework 4.6.1 for Royal TS V4.0.x and V4.1.x
    Download the offline installer
  • Since V3.2 Royal TS requires the Visual C++ runtime libraries to run the internal TightVNC viewer. The installer will automatically download and install those packages for you. In case you are using the Royal TS zip file, you can download and install those files manually:
    Download the VC++ 2015 Runtime here:
    https://www.microsoft.com/en-us/download/details.aspx?id=53840
  • To use the PowerShell Module in Royal TS, PowerShell V4 or later is required.

Operating System Requirements

Operating System
64 bit
32 bit
Windows 10 *


Windows 8.1


Windows 8


Windows 7 SP1


Windows Vista SP2


Windows Server 2016

 
Windows Server 2012 R2

 
Windows Server 2012

 
Windows Server 2008 R2 SP1

 
Windows Server 2008 SP2


  • Please check the Note above under .NET Framework 4.7 for Royal TS 4.2 or later.
    More information about the .NET Framework and Operating System support can be found here .